com.google.appengine.api.files

## Class BufferedFileReadChannelImpl

- java.lang.Object
- - com.google.appengine.api.files.BufferedFileReadChannelImpl

- All Implemented Interfaces:
    FileReadChannel, java.io.Closeable, java.lang.AutoCloseable, java.nio.channels.Channel, java.nio.channels.ReadableByteChannel

  Deprecated.

      @Deprecated
      public class BufferedFileReadChannelImpl
      extends java.lang.Object
      implements FileReadChannel

  Wraps a FileReadChannel to provide buffering of reads.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedFileReadChannelImpl(FileReadChannel readChannel, int bufferSize)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Deprecated.
    `boolean` | `isOpen()` Deprecated.
    `long` | `position()` Deprecated. Returns this channel's file position;
    `FileReadChannel` | `position(long newPosition)` Deprecated. Sets this channel's file position.
    `int` | `read(java.nio.ByteBuffer dst)` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedFileReadChannelImpl

          public BufferedFileReadChannelImpl(FileReadChannel readChannel,
                                             int bufferSize)

      Deprecated.

  - ### Method Detail

    - #### read

          public int read(java.nio.ByteBuffer dst)
                   throws java.io.IOException

      Deprecated.
      Specified by:
        `read` in interface `java.nio.channels.ReadableByteChannel`
      Throws:
        `java.io.IOException`

    - #### isOpen

          public boolean isOpen()

      Deprecated.
      Specified by:
        `isOpen` in interface `java.nio.channels.Channel`

    - #### close

          public void close()
                     throws java.io.IOException

      Deprecated.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.nio.channels.Channel`
      Throws:
        `java.io.IOException`

    - #### position

          public long position()
                        throws java.io.IOException

      Deprecated.
      Description copied from interface: `FileReadChannel`
      Returns this channel's file position;
      Specified by:
        `position` in interface `FileReadChannel`
      Returns:
        This channel's file position, a non-negative integer counting the number of bytes from the beginning of the file to the current position
      Throws:
        `java.io.IOException` - If any problem occurs

    - #### position

          public FileReadChannel position(long newPosition)
                                   throws java.io.IOException

      Deprecated.
      Description copied from interface: `FileReadChannel`
      Sets this channel's file position.

      Setting the position to a value that is greater than the file's size will not result in an exception. A later attempt to read bytes at such a position will immediately return an end-of-file indication.

      Specified by:
        `position` in interface `FileReadChannel`
      Parameters:
        `newPosition` - The new position, a non-negative integer counting the number of bytes from the beginning of the file
      Returns:
        This channel
      Throws:
        `java.io.IOException` - If any other problem occurs

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`